//
// Copyright (C) 1999-2006 WideStudio/MWT Project Team
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

#ifndef CONFIG_H
#define CONFIG_H

#ifdef WS_EMBEDDED_CONFIG

//not use postsript output function
#define NO_PSDRAW

//not use WSCfform
#define NO_FFORM

//not use WSCvertForm/WSChorzForm
#define NO_ADJUSTMENT_FORM

//not include default icons
//#define NOT_LOAD_DEFAULT_ICONS

//optimize size of WSClistData
//#define OPTIMIZE_SIZE_OF_WSCLISTDATA

//use inline strcmp
//#define USE_INLINE_STRCMP

//no burst cast
//#define NO_BURST_CAST

//no inline WSGFgetHashValue(char*)
//#define NO_INLINE_HASH_VALUE

//not use MWT function
#define NO_MWT_FUNCTION

//not use pcf font
//#define NO_PCF_FONT

//not use bdf font
//#define NO_BDF_FONT

//not define WSCbase::restackChildren()
//#define NO_RESTACK_CHILD

//not define no mouse property
//#define NO_NWBASE_MOUSE_PROPERTY

//not define no global constructors
//#define NO_GLOBAL_CONSTRUCTORS

//not define main()
//#define NO_MAIN_FUNCTION

//not use jpeg files
//#define NO_JPEG

//not use png files
//#define NO_PNG

//not use encoding big5(Chinese)
//#define NO_BIG5

//not use encoding gb2312(Chinese)
//#define NO_GB2312

//not use encoding gb2312 message
//#define NO_GB2312_MSG

//not use encoding ksc5601(Korean)
//#define NO_KSC5601

//not use encoding ksc5601 message
//#define NO_KSC5601_MSG

//not use encoding English message
//#define NO_ENGLISH_MSG

//not use encoding Espanol message
//#define NO_ES_MSG

//not use encoding Espanol(UTF8) message
//#define NO_ES_UTF8_MSG

//not use encoding Japanese(EUC/SJIS)
//#define NO_JAPANESE

//not use encoding Japanese euc message
//#define NO_JAPANESE_EUC_MSG

//not use encoding Japanese sjis message
//#define NO_JAPANESE_SJIS_MSG

//not use encoding Japanese utf8 message
//#define NO_JAPANESE_UTF8_MSG

//create embed library
#define WS_EMBED

//not use DATABASE_CLIENT
#define NO_DB_CLIENT

//not use WSDthread
//#define NO_WSDTHREAD

//not use WSDmutex
//#define NO_WSDMUTEX

//not use WSDsemaphore
//#define NO_WSDSEMAPHORE

//not use remote instance
//#define NO_REMOTE_INSTANCE

//not use WSDmwindowDev
//#define NO_MWINDEV

//not use socket
//#define NO_SOCKET

//not use WSDfileSerialize
//#define NO_FILE_SERIALIZE

//not use WSDmemSerialize
//#define NO_MEM_SERIALIZE

//not use WSDsocketSerialize
//#define NO_SOCKET_SERIALIZE

//not use WSDdragDrop
#define NO_DRAG_DROP

//not use color name
//#define NO_COLOR_NAME

//not use external gui policy
//#define NO_EXT_GUI_POLICY

//not use grip hand
//#define NO_GRIPHAND

//not use gradation function
//#define NO_GRADATION

//not use draw arc
//#define NO_DRAW_ARC

//not use draw arc
//#define NO_DRAW_FILL_ARC

//not use draw rect
//#define NO_DRAW_RECT

//not use draw fill rect
//#define NO_DRAW_FILL_RECT

//not use draw poly
//#define NO_DRAW_POLY

//not use draw fill poly
//#define NO_DRAW_FILL_POLY

//not use thread
//#define NO_THREAD

//not use file on virtual file system
//#define NO_VIRTUAL_FS

//not use file system
//#define NO_FILE_SYSTEM

//not use timer
//#define NO_TIMER

//not use scroll
//#define NO_SCR

//not use file i/o
//#define NO_FILE_IO

//not use keyboard
//#define NO_KEYBOARD

//no window title
//#define NO_WINDOW_TITLE

//no WSCindexVariantData class
//#define NO_INDEX_VARIANT_DATA

//no log file: wsdbg.txt by environment variable: WSDEBUG
//#define NO_DBPRINTF

#endif //WS_EMBEDDED_CONFIG

#endif //CONFIG_H
